import { h, Fragment } from "preact"
import { useContext, useState, useEffect } from "preact/hooks"
import {  Button, Label, Field } from "../shared/button"
import { Trigram, Gear, Add, Arrow, ArrowHead, Edit } from "../shared/icon"
import Arrays from "../../util/arrays"

// TODO: edit prop

export default ({ path = [ "error" ] }) => <section>
  <header class="columns">
    <div class="columns">
      <Label><Trigram /></Label>
      <nav class="columns">
        { path.map((name, i) =>
          <Field
            align="lowercase"
            asLabel="important"
            href={i < path.length - 1 ? "/" + encodeURI(name) : null}>
            {name}
          </Field>)
          .intercalate(<Label class="pack"><ArrowHead angle="180" /></Label>) }
      </nav>
    </div>
    <div class="columns">
      <Field
        align="lowercase"
        class="important"
        asLabel="primary bg"
        href={path.equals([ "special", "new" ]) ? null : "/s/new"}>
        <Add /> new
      </Field>
      <Field
        align="lowercase"
        class="important"
        asLabel={path.equals([ "special", "edit" ]) ? "primary bg" : "disable"}
        href={path.length == 1 || path[0] != "special" ? "/s/edit/" + encodeURI(path.at(-1)) : null}>
        <Edit /> edit
      </Field>
      <Label><Gear /></Label>
    </div>
  </header>
</section>
