import { h, Fragment } from "preact"
import { useState, useEffect } from "preact/hooks"
import { Label } from "./button"
import { ErrorCi } from "./icon"

const getValidityClass = (e) => e != null ? (e.length ? " invalid" : " valid") : ""

export default ({
  validate = async () => true,
  class: className = "",
  value = "",
  setValue,
  onChange = () => {},
  ...rest
}) => {
  const [ error, setError ] = useState(null)
  if (!setValue)
    [value, setValue] = useState(value)

  useEffect(() => {
    setError(null)
    if (value != "")
      validate(value).then(e => {
        if (e) setError(e)
        else onChange(value)
      })
  }, [ value ])

  return <>
    <input
      class={"input " + className + getValidityClass(error)}
      value={ value }
      onChange={e => setValue(e.target.value) }
      {...rest} />
    { error && error.length
      ? <div>
        <Label class="error bg hor-margin" align="lowercase"><ErrorCi />{error}</Label>
      </div>
      : null}
  </>
}
