import { h } from "preact"
import Router from "preact-router"
import { useContext } from "preact/hooks"
import { createHashHistory } from "history"
import Document from "./document"
import New from "./new"
import Edit from "./edit"
import { RemaProvider, CommandQueue } from "../context/rema"

const Home = (props) => <Document name="index" {...props} />

export default () =>
	<RemaProvider>
		<Router history={createHashHistory()}>
			<Home path="/" />
			<New path="/s/new/:name*?" />
			<Edit path="/s/edit/:name*" />
			<Document path="/:name*" />
		</Router>
		<CommandQueue />
	</RemaProvider>
