import { h, Fragment } from "preact"
import { useContext, useEffect } from "preact/hooks"
import Header from "../component/layout/header"
import Footer from "../component/layout/footer"
import { Button, Label } from "../component/shared/button"
import { Arrow, Article, Branch } from "../component/shared/icon"
import { Rema } from "../context/rema"
import { CID } from "ipfs-http-client"

const testPage = <>
  <Header path={[ "wiki", "test", "Mobile phone" ]}/>
  <section>
    <main class="rows x2">
      <article><h1>Mobile phone</h1></article>
      <nav class="columns active faint">
        <div class="columns">
          <Label class="dim active" align="lowercase"><Article /> article</Label>
          <Button align="lowercase" class="dim"><Branch /> revision</Button>
        </div>
        <div class="columns">
          <Label class="dim active">new 4.1</Label>
          {/*<Button class="dim color">hot 254.7</Button>*/}
          <Label class="dim color disable">hot 4.1</Label>
          <Button class="dim color">top 47,832.3</Button>
        </div>
      </nav>
      <article class="rows">
        <p>
          A mobile phone, cellular phone, cell phone, cellphone, handphone, hand phone or pocket phone, sometimes shortened to simply mobile, cell, or just phone, is a portable telephone that can make and receive calls over a radio frequency link while the user is moving within a telephone service area. The radio frequency link establishes a connection to the switching systems of a mobile phone operator, which provides access to the public switched telephone network (PSTN). Modern mobile telephone services use a cellular network architecture and, therefore, mobile telephones are called cellular telephones or cell phones in North America. In addition to telephony, digital mobile phones (2G) support a variety of other services, such as text messaging, MMS, email, Internet access, short-range wireless communications (infrared, Bluetooth), business applications, video games and digital photography. Mobile phones offering only those capabilities are known as feature phones; mobile phones which offer greatly advanced computing capabilities are referred to as smartphones.[1]
        </p>
        <h2 class="separator">Central processing unit</h2>
        <h3>c-coinmetro is a scam and kevin is a scammer ｡ﾟ(TヮT)ﾟ｡</h3>
        <p>
          Nulla id felis sagittis, ornare lorem non, efficitur tellus. Mauris id enim neque. Phasellus ex elit, ullamcorper ac luctus vitae, lacinia gravida leo. Duis placerat eleifend semper. Proin sollicitudin nibh maximus, ornare nibh nec, vehicula nulla. Nulla et elementum metus. Curabitur at dui nulla. Nunc tempus justo est, eget iaculis leo placerat sed. Suspendisse at lacus at massa imperdiet malesuada. Nunc bibendum augue urna, tempus lobortis quam gravida at. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent at odio eu nunc placerat vehicula a ac velit. Pellentesque fringilla, metus eu euismod placerat, turpis quam dapibus lorem, vitae bibendum neque nulla sit amet mauris. Integer lacus mi, porta id nulla non, gravida egestas nibh. Donec vitae purus risus.
        </p>
        <p>
          Sed ultrices erat quis felis lacinia aliquet. Vestibulum vitae nulla iaculis, tristique sem et, maximus mauris. Duis porta et erat eu condimentum. In accumsan, lectus egestas vestibulum blandit, diam orci lobortis lacus, eu efficitur urna diam id dui. Duis finibus rutrum iaculis. Sed ullamcorper facilisis pulvinar. Vivamus varius mauris vitae nisi euismod auctor. Phasellus non arcu at risus sagittis commodo id et mauris. Cras viverra posuere velit, ut fringilla tellus. Aenean fringilla tortor ac malesuada sagittis. In imperdiet tortor eget velit blandit, ut cursus leo gravida. Integer blandit vehicula iaculis. Etiam porttitor purus purus.
        </p>
        <h3>dummy text</h3>
        <p>
          Aenean feugiat gravida nibh eu egestas. Fusce ultricies nulla orci, vitae tempor mi convallis interdum. Maecenas vel fermentum mi. Cras vehicula eros id ultricies dictum. Proin vel diam a mi lobortis fringilla. Morbi vitae feugiat odio, eget gravida augue. Aenean elementum non odio at auctor. Curabitur aliquam congue nisl, vel vestibulum est aliquam vitae. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque justo nibh, finibus vitae aliquam quis, commodo in turpis. Ut tincidunt feugiat nulla non tempor. Phasellus tincidunt quam diam, vehicula hendrerit neque accumsan nec.
        </p>
        <div class="separator"></div>
        <p>
          In scelerisque massa at congue laoreet. Fusce purus odio, malesuada at ullamcorper eu, pellentesque at justo. Pellentesque congue sapien quis pharetra tincidunt. Nunc erat ante, tincidunt sit amet ex ut, mattis rutrum felis. Mauris sodales urna eu consequat eleifend. Praesent purus turpis, dapibus nec purus nec, vulputate molestie mauris. Vivamus interdum erat ut libero viverra finibus. Cras ullamcorper malesuada urna, et vestibulum odio fermentum vitae. Aliquam erat volutpat. In hac habitasse platea dictumst. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas rutrum vulputate augue nec dictum. Pellentesque bibendum scelerisque dignissim. Etiam tempor feugiat tortor.
        </p>
        <p>
          In scelerisque massa at congue laoreet. Fusce purus odio, malesuada at ullamcorper eu, pellentesque at justo. Pellentesque congue sapien quis pharetra tincidunt. Nunc erat ante, tincidunt sit amet ex ut, mattis rutrum felis. Mauris sodales urna eu consequat eleifend. Praesent purus turpis, dapibus nec purus nec, vulputate molestie mauris. Vivamus interdum erat ut libero viverra finibus. Cras ullamcorper malesuada urna, et vestibulum odio fermentum vitae. Aliquam erat volutpat. In hac habitasse platea dictumst. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas rutrum vulputate augue nec dictum. Pellentesque bibendum scelerisque dignissim. Etiam tempor feugiat tortor.
        </p>
      </article>
    </main>
  </section>
  <Footer />
</>

// check xss on document names

export default ({ name }) => {
  const rema = useContext(Rema)

  useEffect(() => rema.state ? console.log(rema.state) : null, [ rema.state ])

  return name == "index" || name == "Mobile phone" ? testPage : <>
    <Header path={[ name ]}/>
    <section>
      <main class="rows x2">
        <article><h1>{name}</h1></article>
        <article>
          <em>This document does not exist. <a href={"/s/new/"+ encodeURI(name)} class="primary color">Click here to create it.</a></em>
        </article>
      </main>
    </section>
    <Footer />
  </>
}
